Skip to navigation

Verify chargeback risk

Evaluates chargeback risk based on user, payment, and address details. Returns scores and decision for risk classification.

Authentication

AuthorizationBearer

Find your Client ID and Secret on your app info page.

  1. Select “Try It”
  2. In the Security section enter your Client ID and Secret.
  3. Select “Request Token”
  4. Enter any additional information in the Body and Parameters sections.
  5. Select “Send” to execute your API request

Path parameters

versionstringOptionalDefaults to v1

Denotes which version of the API to be called as new features are released.

  • v1

Headers

partnerIdstringRequired1-64 characters
Unique Partner ID
transSrcstringOptional1-36 characters
Optional transaction source
transIdstringOptionalformat: "^[a-zA-Z0-9-.]{3,36}$"3-36 characters
Optional unique transaction ID for idempotency

Request

This endpoint expects an object.
userInformationobjectRequired
billingContactobjectRequired
Contact information structure used for billing and shipping
shippingContactobjectRequired
Contact information structure used for billing and shipping
productslist of objectsRequired
List of products in the order
orderValuedoubleRequired
Total order value
currencyCodestringRequiredformat: "^[A-Z]{3}$"=3 characters

The ISO 4217 currency

orderIdstringRequired1-64 characters
Unique order identifier
orderCreatedAtdatetimeRequired

The RFC 3339 date and time

paymentInformationobject or nullOptional
Payment details, nullable

Response headers

BkndTransIdstringOptional
The backend transaction id.
transIdstringOptional
An identifier unique to the request.
transactionSrcstringOptional

Identifies the client/source application that is calling.

Content-TypestringOptional

The Content-Type header provides the client with the actual content/media type of the returned content.

Response

Success
superScoredoubleOptional0-999

Overall risk score from 0 (lowest) to 999 (highest risk)

decisionenumOptional

Risk decision—whether to reject, review, or undecided

Allowed values:
categoryScoresobjectOptional
Detailed category risk scores

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
500
Internal Server Error